-- Main game loop
function Main()
		
	--DisplaySplash(
	--"splash/aninologo.swf",
	--"splash/playfirst_logo",2000
	--);
	NoCursorStyle = {allowInput = false};
	SetStyle(NoCursorStyle)	
	DisplaySplash("", "splash/portal_logo",3000);
	DisplaySplash("", "splash/NatGeo",3000);
	DisplaySplash("splash/merscom.swf", "splash/merscom",1500);	
	DisplaySplash("splash/aninosplash.swf", "splash/aninologo",1500);
--	DisplaySplash("", "splash/cleopatra_logo",1500);

	-- Push the game selection screen
	while true do
		DoMainWindow("scripts/mainmenu.lua");
		-- DoMainWindow will exit only if there are NO windows pushed on the stack, so
		-- a PopModal()/PushModal() combination will not cause this to loop.
	end
end

-- Return a function to be executed in a thread
return Main